VisualEditor: Template dialog should look up TemplateData for newly-added templates
Closed, ResolvedPublic

Description

Currently in the template dialog when you insert a new template (or other transclusion) it doesn't look up TemplateData for said template (but re-uses if available). It should.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz49778.
Jdforrester-WMF created this task.Via LegacyJun 18 2013, 9:53 PM
Ironholds added a comment.Via ConduitJun 28 2013, 9:29 AM

Any movement on this? I note the milestone was yesterday's deploy (if it went out but got reverted with the wmf7 problems, ignore me).

gerritbot added a comment.Via ConduitJun 28 2013, 9:38 PM

Change 71132 had a related patch set uploaded by Trevor Parscal:
Use template data for new templates

https://gerrit.wikimedia.org/r/71132

gerritbot added a comment.Via ConduitJun 28 2013, 11:36 PM

Change 71132 merged by jenkins-bot:
Use template data for new templates and fix alias bug

https://gerrit.wikimedia.org/r/71132

Jdforrester-WMF added a comment.Via ConduitJun 28 2013, 11:39 PM

Done in the above commit.

AzaToth added a comment.Via ConduitJun 29 2013, 11:17 PM

Testing on beta, which is using 1.22alpha (3c4aac9) the issue seems to persist:

First I make a new template instance and file one parameter:
http://i.imgur.com/69K7IcD.png

Notice the lack of information

Next I apply changes, and open the template dialog again, and following is shown:
http://i.imgur.com/hV8rqag.png

Se4598 added a comment.Via ConduitJun 29 2013, 11:34 PM

(In reply to comment #5)

Testing on beta, which is using 1.22alpha (3c4aac9) the issue seems to

This is mediawiki-core. VisualEditor at beta.wmflabs should be currently at f8d2f14 (latest; including merged commit) after Reedy manually updated it (again).

AzaToth added a comment.Via ConduitJun 30 2013, 12:55 AM

Seems to have been some cache issues, because it seems to be fine now

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.